minpf_plugin_manager.cpp File Reference
`#include <plugin/minpf_plugin.h>`
`#include <plugin/minpf_plugin_manager.h>`
`#include <filesystem>`
`#include <stdio.h>`
`#include <cstring>`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

static int32_t | grk::minpf_post_load_plugin (const char *pluginPath, minpf_post_load_func initFunc)
static const char * | grk::get_filename_ext (const char *filename)
static int32_t | grk::minpf_load (const char *path)
static uint32_t | grk::minpf_is_valid_plugin (const char *id, const minpf_register_params *params)
int32_t | grk::minpf_register_object (const char *id, const minpf_register_params *params)
const char * | grk::minpf_get_dynamic_library_extension (void)
void | grk::minpf_initialize_plugin_manager (minpf_plugin_manager *manager)
minpf_plugin_manager * | grk::minpf_get_plugin_manager (void)
void | grk::minpf_cleanup_plugin_manager (void)
int32_t | grk::minpf_load_from_path (const char *path, minpf_invoke_service_func func)
int32_t | grk::minpf_load_from_dir (const char *directory_path, minpf_invoke_service_func func)

## Variables

minpf_plugin_manager * | grk::managerInstance